## mgltools-utpackages 1.5.6~rc1+cvs.20110617

=== debian/changelog ===
mgltools-utpackages (1.5.6~rc1+cvs.20110617-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Fri, 17 Jun 2011 01:20:30 +0200

mgltools-utpackages (1.5.4.cvs.20100912-2) unstable; urgency=low

  * debian/patches/do_not_install_in_build.patch: Do patch from NMU using
    quilt
  * debian/source/format: 3.0 (quilt)
  * debian/control
    - Standards-Version: 3.9.2 (no changes needed)
    - Build-Depend: freeglut3-dev (instead of libglut3-dev)
      Closes: #543698
    - Build-Depends: python-all-dev (>= 2.6) (and dropped
      python-central)
    - Dropped Build-Depends cdbs
    - Properly indentation of list in long description
  * Debhelper 8.0 (control+contrib)
  * debian/rules: switch to short dh syntax which makes
    dh_python2 easy
    Closes: #616903

 -- Andreas Tille <tille@debian.org>  Sun, 10 Apr 2011 22:13:04 +0200

mgltools-utpackages (1.5.4.cvs.20100912-1.1) unstable; urgency=low

  * Non-Maintainer Upload.  Closes: #605315.
  
  * setup.py: Apply patch from Tim Retout.  Closes: #592417.

 -- Steve M. Robbins <smr@debian.org>  Sun, 05 Dec 2010 22:32:07 -0600

mgltools-utpackages (1.5.4.cvs.20100912-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Sun, 12 Sep 2010 00:20:31 +0200

mgltools-utpackages (1.5.4.cvs.20090603-2) UNRELEASED; urgency=low

  [ Andreas Tille ]
  * debian/control:
    - Enhances: autodocktools
    - debhelper 7
    - Standards-Version: 3.8.3 (no changes needed)

  [ Charles Plessy ]
  * Corrected the VCS-* URLs (debian/control).

 -- Andreas Tille <tille@debian.org>  Fri, 16 Oct 2009 22:20:12 +0200

mgltools-utpackages (1.5.4.cvs.20090603-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Wed, 03 Jun 2009 11:48:25 +0200

mgltools-utpackages (1.5.4.cvs.20090528-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Sat, 16 May 2009 00:51:33 +0200

mgltools-utpackages (1.5.4.cvs.20090514-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Thu, 14 May 2009 21:46:46 +0200

mgltools-utpackages (1.5.4.cvs.20081126-3) UNRELEASED; urgency=low

  * Change build-dep on python2.5-dev to python-all-dev (>= 2.5) and
    XS-Python-Version to >= 2.5 to build for Python 2.5 and 2.6

 -- Scott Kitterman <scott@kitterman.com>  Sat, 28 Mar 2009 13:46:18 -0400

mgltools-utpackages (1.5.4.cvs.20081126-2) unstable; urgency=low

  * Another fix with gcc-4.3 that seems to have escaped me.

 -- Steffen Moeller <moeller@debian.org>  Sun, 14 Dec 2008 21:21:19 +0100

mgltools-utpackages (1.5.4.cvs.20081126-1) unstable; urgency=low

  * New upstream version.
  * Fix of incompatibility with gcc-4.3

 -- Steffen Moeller <moeller@debian.org>  Wed, 26 Nov 2008 14:43:20 +0100

mgltools-utpackages (1.5.2.cvs.20081109-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Sun, 09 Nov 2008 15:02:41 +0100

mgltools-utpackages (1.5.2.cvs.20080731-1) unstable; urgency=low

  * Initial release, contributes to closing ITP #458811.

 -- Steffen Moeller <moeller@debian.org>  Thu, 31 Jul 2008 22:00:07 +0200
