=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for mgltools-utpackages

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS=-fpermissive

%:
	dh $@ --with python2

override_dh_clean:
	dh_clean
	rm -rf build build-stamp debian/Pmv
	find . -name *.o -o -name *.so | xargs -r rm
	find . -name "*.pdb" -exec chmod 644 {} \;

override_dh_install:
	dh_install
	find . -name *.rawiv -o -name *.jpg | xargs -r chmod -x
