=== debian/control ===
Source: mgltools-utpackages
Section: non-free/science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
XS-Autobuild: yes
Uploaders: Steffen Moeller <moeller@debian.org>,
 Sargis Dallakyan <sargis@scripps.edu>,
 Andreas Tille <tille@debian.org>,
 Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>= 8), python-all-dev (>= 2.6), swig, mesa-common-dev, libglu1-mesa-dev, freeglut3-dev, python-numpy
Standards-Version: 3.9.3
XS-Python-Version: >= 2.5
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mgltools/utpackages/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/mgltools/utpackages/trunk/
Homepage: http://mgltools.scripps.edu/

Package: mgltools-utpackages
XB-Python-Version: ${python:Versions}
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Suggests: apbs
Enhances: autodocktools
Description: UT Austin software Python extensions
 This package is part of the mgltools set of Python libraries which
 provide an infrastructure for the analysis of protein structures and
 their docking of chemical compounds.
 .
 This distribution contains the following modules:
  - UTblurDIST(the blurring algorithm extracted  from  the PDB
    Blurring software);
  - UTisocontourDIST (the isocontouring library);
  - UTUTvolrendDIST  (volume rendering library);
  - UTmeshDIST (Level set Boundary Interior and Exterior Mesher -
    LBIEMesher).
