## mgltools-utpackages 1.5.6%7erc2%2bcvs.20111222

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,14 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 DM-Upload-Allowed: yes
 XS-Autobuild: yes
-Uploaders: Steffen Moeller <moeller@debian.org>,
- Sargis Dallakyan <sargis@scripps.edu>,
+Uploaders: Steffen Moeller <moeller@debian.org>, Sargis Dallakyan <sargis@scripps.edu>,
  Andreas Tille <tille@debian.org>,
  Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper (>= 8), python-all-dev (>= 2.6), swig, mesa-common-dev, libglu1-mesa-dev, freeglut3-dev, python-numpy
-Standards-Version: 3.9.3
+Standards-Version: 3.9.2
 XS-Python-Version: >= 2.5
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mgltools/utpackages/trunk/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/mgltools/utpackages/trunk/
+Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mgltools/utpackages/trunk/?rev=0&sc=0
+Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/mgltools/utpackages/trunk/
 Homepage: http://mgltools.scripps.edu/
 
 Package: mgltools-utpackages
