=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+BRANCH=`cat debian/get-orig-source/current-branch`
+RCVERSION=`cat debian/get-orig-source/rc-version`
+SRC=UTpackagesDIST
 
 export CFLAGS=-fpermissive
 
@@ -19,3 +23,6 @@
 override_dh_install:
 	dh_install
 	find . -name *.rawiv -o -name *.jpg | xargs -r chmod -x
+
+get-orig-source:
+	./debian/get-orig-source/get-orig-source $(SRC) $(BRANCH) $(RCVERSION)
