=== UTvolrendDIST/src/linux2/Makefile ===
# VolumeLibrary Makefile for linux 

CFLAGS = -Wall -O3 -fpermissive
VPATH = ../

CC = g++
LINK = ar

INCLUDE = -I../

LIBRARY = libVolume.a

OBJS =  ClipCube.o Extent.o MyExtensions.o PalettedImpl.o \
	Plane.o Polygon.o PolygonArray.o Renderer.o RendererBase.o\
	RGBABase.o SGIColorTableImpl.o SimpleRGBAImpl.o \
	UnshadedBase.o VolumeRenderer.o FragmentProgramImpl.o \
	SimpleRGBA2DImpl.o Paletted2DImpl.o

HDRS =  ClipCube.h ExtensionPointers.h Extent.h LookupTables.h \
	MyExtensions.h PalettedImpl.h Plane.h Polygon.h PolygonArray.h \
	Renderer.h RendererBase.h RGBABase.h SGIColorTableImpl.h \
	SimpleRGBAImpl.h StaticExtensionPointers.h UnshadedBase.h \
	VolumeRenderer.h FragmentProgramImpl.h SimpleRGBA2DImpl.h \
	Paletted2DImpl.h

# Build rules

all: library 

library   : $(OBJS)
	($(LINK) rv $(LIBRARY) $(OBJS))

example:
	cd testdir; make

cleanobj:
	rm *.o
clean:  cleanobj
	rm libVolume.a

# Implicit rules

#%.o : %.cpp $(HDRS)
#	$(CC) -c $(CFLAGS) $(INCLUDE) -DGL_GLEXT_PROTOTYPES -o $@ $<

%.o : %.cpp $(HDRS)
	$(CC) -c $(CFLAGS) $(INCLUDE) -o $@ $<
