## mgltools-utpackages 1.5.7

=== UTimposterDIST/src/OpenGL_Viewer/Makefile ===
CC = g++
CCFLAGS = -Wall -O3 -finline

# ----- Example programs --------------------------------------------------------

PROG_SRC = MyExtensions.cpp
PROG_OBJ = MyExtensions.o
TARGET = libOpenGL_Viewer.a

# -------------------------------------------------------------------------------

all:    Makefile $(TARGET)

$(TARGET): $(PROG_OBJ)
	rm -f $(TARGET)
	ar cqs $(TARGET) $(PROG_OBJ)


MyExtensions.o: MyExtensions.cpp
	$(CC) $(CCFLAGS) -c MyExtensions.cpp -o MyExtensions.o -I.

clean:
	rm $(TARGET) MyExtensions.o
