=== UTvolrendDIST/src/darwin/Makefile ===
# VolumeLibrary Makefile for linux 

CFLAGS = -Wall -O3 
VPATH = ../

CC = g++
LINK = libtool

INCLUDE = -I../ -I/System/Library/Frameworks/OpenGL.framework/Headers/

LIBRARY = libVolume.a

OBJS =  ClipCube.o Extent.o MyExtensions.o PalettedImpl.o \
	Plane.o Polygon.o PolygonArray.o Renderer.o RendererBase.o\
	RGBABase.o SGIColorTableImpl.o SimpleRGBAImpl.o \
	UnshadedBase.o VolumeRenderer.o FragmentProgramImpl.o \
	SimpleRGBA2DImpl.o Paletted2DImpl.o VolumeRendererFactory.o \
	FragmentProgramARBImpl.o

HDRS =  ClipCube.h ExtensionPointers.h Extent.h LookupTables.h \
	MyExtensions.h PalettedImpl.h Plane.h Polygon.h PolygonArray.h \
	Renderer.h RendererBase.h RGBABase.h SGIColorTableImpl.h \
	SimpleRGBAImpl.h StaticExtensionPointers.h UnshadedBase.h \
	VolumeRenderer.h FragmentProgramImpl.h SimpleRGBA2DImpl.h \
	Paletted2DImpl.h FragmentProgramARBImpl.h VolumeRendererFactory.h

# Build rules

all: library 

library   : $(OBJS)
	($(LINK) -static -o $(LIBRARY) $(OBJS))

example:
	cd testdir; make

cleanobj:
	rm *.o
clean:  cleanobj
	rm libVolume.a

# Implicit rules

%.o : %.cpp $(HDRS)
	$(CC) -c $(CFLAGS) $(INCLUDE) -D__APPLE__ -o $@ $<
