=== debian/control ===
Source: mgltools-utpackages
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Thorsten Alteholz <debian@alteholz.de>
Section: non-free/science
XS-Autobuild: yes
Priority: optional
Build-Depends: debhelper (>= 11~),
               python-all-dev,
               swig,
               mesa-common-dev,
               libglu1-mesa-dev,
               freeglut3-dev,
               python-numpy,
               dh-python
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/mgltools-utpackages
Vcs-Git: https://salsa.debian.org/med-team/mgltools-utpackages.git
Homepage: http://mgltools.scripps.edu/

Package: mgltools-utpackages
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends}
Suggests: apbs
Enhances: autodocktools
Description: UT Austin software Python extensions
 This package is part of the mgltools set of Python libraries which
 provide an infrastructure for the analysis of protein structures and
 their docking of chemical compounds.
 .
 This distribution contains the following modules:
  - UTblurDIST(the blurring algorithm extracted  from  the PDB
    Blurring software);
  - UTisocontourDIST (the isocontouring library);
  - UTUTvolrendDIST  (volume rendering library);
  - UTmeshDIST (Level set Boundary Interior and Exterior Mesher -
    LBIEMesher).
