=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,7 @@
 
 override_dh_install:
 	dh_install
+	dh_numpy
 	find . -name *.rawiv -o -name *.jpg | xargs -r chmod -x
 
 get-orig-source:
